%global srcname FormEncode

Name:           python-formencode
Version:        2.1.0
Release:    1%{?dist}
Summary:        HTML form validation, generation, and convertion package  
License:        Python
URL:            http://formencode.org/
Source0:        https://files.pythonhosted.org/packages/source/F/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch


%description
FormEncode validates and converts nested structures. It allows for a 
declarative form of defining the validation, and decoupled processes 
for filling and generating forms.

%package -n python3-formencode
Summary: HTML form validation, generation, and convertion package

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-docutils
BuildRequires: python3-wheel
BuildRequires: python3-pip
BuildRequires: python3-setuptools_scm

Requires: python3-setuptools
Requires: python-formencode-langpacks

%{?python_provide:%python_provide python3-formencode}

%description -n python3-formencode
FormEncode validates and converts nested structures. It allows for a.
declarative form of defining the validation, and decoupled processes.
for filling and generating forms.

This package contains the python3 version of the module.

%package -n python-formencode-langpacks
Summary: Locale files for the python-formencode library

%description -n python-formencode-langpacks
The FormEncode library validates and converts nested structures.  This package
contains the locale files for localizing the message strings in code within the
library.

%prep
%autosetup -n %{srcname}-%{version}


%build
sed -i "s|'setuptools_scm_git_archive',||" setup.py
%py3_build


%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/docs/
rm -f %{buildroot}%{_prefix}/LICENSE.txt

for file in %{buildroot}%{python3_sitelib}/formencode/i18n/* ; do
    if [ -d $file ] ; then
        if [ -e $file/LC_MESSAGES/%{srcname}.mo ] ; then
            mkdir -p %{buildroot}%{_datadir}/locale/`basename $file`/LC_MESSAGES/
            mv $file/LC_MESSAGES/%{srcname}.mo %{buildroot}%{_datadir}/locale/`basename $file`/LC_MESSAGES/
        fi
    fi
done
rm -rf %{buildroot}%{python3_sitelib}/formencode/i18n

%find_lang %{srcname}





%files -n python3-formencode
%doc PKG-INFO docs
%license LICENSE.txt
%{python3_sitelib}/formencode/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/

%files -n python-formencode-langpacks -f %{srcname}.lang

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-1
- initial build
